import { Description } from "./Description";
import { PrimaryKeyValueDescription } from "./PrimaryKeyValueDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class CheckboxListDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private h;
    get keys(): PrimaryKeyValueDescription[];
    set keys(a: PrimaryKeyValueDescription[]);
    private i;
    get primaryKey(): string[];
    set primaryKey(a: string[]);
    private ar;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private aq;
    get dataMemberPath(): string;
    set dataMemberPath(a: string);
    private ap;
    get dataLegendTargetRef(): string;
    set dataLegendTargetRef(a: string);
    private bg;
    get subtitleMemberPath(): string;
    set subtitleMemberPath(a: string);
    private ay;
    get propertyTypeMemberPath(): string;
    set propertyTypeMemberPath(a: string);
    private bf;
    get selectedMemberPath(): string;
    set selectedMemberPath(a: string);
    private at;
    get filterPlaceholderText(): string;
    set filterPlaceholderText(a: string);
    private a8;
    get searchInputType(): string;
    set searchInputType(a: string);
    private ab;
    get rowHeight(): number;
    set rowHeight(a: number);
    private ag;
    get cellFontFamily(): string;
    set cellFontFamily(a: string);
    private v;
    get cellFontSize(): number;
    set cellFontSize(a: number);
    private ah;
    get cellFontStyle(): string;
    set cellFontStyle(a: string);
    private ai;
    get cellFontWeight(): string;
    set cellFontWeight(a: string);
    private au;
    get indexType(): string;
    set indexType(a: string);
    private af;
    get baseTheme(): string;
    set baseTheme(a: string);
    private as;
    get density(): string;
    set density(a: string);
    private a7;
    get searchIconColor(): string;
    set searchIconColor(a: string);
    private a2;
    get searchBackgroundColor(): string;
    set searchBackgroundColor(a: string);
    private n;
    get labelClickTriggersChange(): boolean;
    set labelClickTriggersChange(a: boolean);
    private a9;
    get searchTextColor(): string;
    set searchTextColor(a: string);
    private a3;
    get searchBorderColor(): string;
    set searchBorderColor(a: string);
    private a4;
    get searchFontFamily(): string;
    set searchFontFamily(a: string);
    private x;
    get searchFontSize(): number;
    set searchFontSize(a: number);
    private a5;
    get searchFontStyle(): string;
    set searchFontStyle(a: string);
    private a6;
    get searchFontWeight(): string;
    set searchFontWeight(a: string);
    private al;
    get checkboxTickColor(): string;
    set checkboxTickColor(a: string);
    private aj;
    get checkboxCheckedBackgroundColor(): string;
    set checkboxCheckedBackgroundColor(a: string);
    private am;
    get checkboxUncheckedBackgroundColor(): string;
    set checkboxUncheckedBackgroundColor(a: string);
    private ak;
    get checkboxCheckedBorderColor(): string;
    set checkboxCheckedBorderColor(a: string);
    private an;
    get checkboxUncheckedBorderColor(): string;
    set checkboxUncheckedBorderColor(a: string);
    private w;
    get checkboxCornerRadius(): number;
    set checkboxCornerRadius(a: number);
    private a1;
    get scrollbarStyle(): string;
    set scrollbarStyle(a: string);
    private a0;
    get scrollbarBackground(): string;
    set scrollbarBackground(a: string);
    private ba;
    get selectAllCaption(): string;
    set selectAllCaption(a: string);
    private bb;
    get selectAllCaptionTextColor(): string;
    set selectAllCaptionTextColor(a: string);
    private ad;
    get actualSelectAllCaptionTextColor(): string;
    set actualSelectAllCaptionTextColor(a: string);
    private p;
    get showSelectAll(): boolean;
    set showSelectAll(a: boolean);
    private ae;
    get backgroundColor(): string;
    set backgroundColor(a: string);
    private az;
    get rowHoverBackgroundColor(): string;
    set rowHoverBackgroundColor(a: string);
    private bh;
    get textColor(): string;
    set textColor(a: string);
    private o;
    get showFilter(): boolean;
    set showFilter(a: boolean);
    private m;
    get isRowHoverEnabled(): boolean;
    set isRowHoverEnabled(a: boolean);
    private l;
    get checkboxAlignedRight(): boolean;
    set checkboxAlignedRight(a: boolean);
    private bd;
    get selectedKeyAddedRef(): string;
    set selectedKeyAddedRef(a: string);
    private be;
    get selectedKeyRemovedRef(): string;
    set selectedKeyRemovedRef(a: string);
    private ao;
    get checkedChangedRef(): string;
    set checkedChangedRef(a: string);
    private ax;
    get labelClickedRef(): string;
    set labelClickedRef(a: string);
    private av;
    get indexTypeChangedRef(): string;
    set indexTypeChangedRef(a: string);
    private aw;
    get keysClearedRef(): string;
    set keysClearedRef(a: string);
    private bc;
    get selectAllCheckboxChangedRef(): string;
    set selectAllCheckboxChangedRef(a: string);
}
